# Examples

!!! info

    Pick one path layout and use it for all of them.

    It doesn't matter if you prefer to use `/data`, `/shared`, `/storage` or whatever.

    The screenshots in the examples are using the following root path `/data`

## Sonarr

??? example "Sonarr Examples - [CLICK TO EXPAND]"

    `Settings` => `Media Management` => `Importing`

    ![sonarr-enable-hardlinks](images/sonarr-enable-hardlinks.png)

    `Settings` => `Media Management` => `Root Folders`

    ![sonarr-root-folder](images/sonarr-root-folder.png)

    `Series` => `Add New`

    ![sonarr-add-new](images/sonarr-add-new.png)

    ![sonarr-tv](images/sonarr-tv.png)

## Radarr

??? example "Radarr Examples - [CLICK TO EXPAND]"

    `Settings` => `Media Management` => `Importing`

    ![radarr-enable-hardlinks](images/radarr-enable-hardlinks.png)

    `Settings` => `Media Management` => `Root Folders`

    ![radarr-root-folder](images/radarr-root-folder.png)

    `Movies` => `Add New`

    ![radarr-add-new](images/radarr-add-new.png)

    ![radarr-movies](images/radarr-movies.png)

## SABnzbd

??? example "SABnzbd Examples - [CLICK TO EXPAND]"

    `SABnzbd config` => `Folders`

    ![sabnzbd-folders](/Downloaders/SABnzbd/images/sabnzbd-folders.png)

    `SABnzbd config` => `Categories`

    ![sabnzbd-categories](/Downloaders/SABnzbd/images/sabnzbd-categories.png)

## NZBGet

??? example "NZBGet Examples - [CLICK TO EXPAND]"

    `Settings` => `PATHS`

    ![nzbget-settings-paths](images/nzbget-settings-paths.png)

    `Settings` => `CATEGORIES`

    ![nzbget-settings-categories](images/nzbget-settings-categories.png)

## qBittorrent

??? example "qBittorrent Examples - [CLICK TO EXPAND]"

    `Options` => `Downloads`

    ![qbt-options-downloads](images/qbt-options-downloads.png)

## Deluge

??? example "Deluge Example - [CLICK TO EXPAND]"

    `Preferences` => `Downloads`

    ![deluge-preferences-downloads](images/deluge-preferences-downloads.png)

## ruTorrent

??? example "ruTorrent Examples - [CLICK TO EXPAND]"

    `../config/rtorrent/config/rtorrent.rc` (path to your appdata)

    ![rtorrent.rc](images/rtorrent.rc.png)

    `Settings` => `Downloads`

    ![rtorrent-settings-downloads](images/rtorrent-settings-downloads.png)

    `Settings` => `Autotools`

    ![rtorrent-settings-autotools](images/rtorrent-settings-autotools.png)

------

Big Thanks to [fryfrog](https://github.com/fryfrog){:target="_blank" rel="noopener noreferrer"} for his [Docker Guide](https://wiki.servarr.com/docker-guide){:target="_blank" rel="noopener noreferrer"} that I used as basis for this guide.
